Subject: Re: [PATCH] enable RTAS /proc for PowerPC/CHRP platform

From: Sven Luther <[email-masked]>
Date: Fri, 20 Oct 2006 10:52:07 +0200

On Fri, Oct 20, 2006 at 10:12:40AM +0200, Segher Boessenkool wrote:
> >>cpuinfo is about the cpu, not the board layout nor the firmware
> >>expectations.
> >
> >What is the machine: field doing there then ? Would it make sense  
> >to provide a
> >machineinfo then ?
> 
> Yes.  Or better, don't use /proc, get all info from sysfs
> (with a nice userland tool to summarize the info, perhaps).

Yeah, that makes sense. Will the device-tree move to /sys some day ? What
about things like the /rtas node ? 

But it will be years before all the distros move to it probably, see how most
of them still use parsing of the parted command line output for handling
partition table detection, and thus fail on anything not MBR.

Friendly,

Sven Luther